=== plugins/CompassMarks/CMakeLists.txt ===
# This is the cmake config file for the CompassMarks plugin
SET(COMPASSMARKS_VERSION "0.2.8")
ADD_DEFINITIONS(-DCOMPASSMARKS_PLUGIN_VERSION="${COMPASSMARKS_VERSION}")
ADD_DEFINITIONS(-DCOMPASSMARKS_PLUGIN_LICENSE="GNU GPLv2 or later")

ADD_SUBDIRECTORY( src )

SET(CMAKE_INSTALL_PREFIX $HDATALOC)
INSTALL(FILES DESTINATION "modules/CompassMarks")
