=== debian/changelog ===
stellarium (0.19.3-1~mx19+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Sat, 15 Feb 2020 12:54:48 -0800

stellarium (0.19.3-1) unstable; urgency=medium

  * New upstream version 0.19.3

 -- Tomasz Buchert <tomasz@debian.org>  Wed, 01 Jan 2020 17:34:22 +0100

stellarium (0.19.2-1) unstable; urgency=medium

  * New upstream version 0.19.2
  * Bump std-ver to 4.4.1

 -- Tomasz Buchert <tomasz@debian.org>  Sat, 12 Oct 2019 20:07:34 +0200
