## stellarium 0.20.0

=== debian/changelog ===
stellarium (0.20.0-1~mx19+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 31 Mar 2020 23:02:21 -0700

stellarium (0.20.0-1) unstable; urgency=medium

  * New upstream version 0.20.0
  * Bump std-ver to 4.5.0

 -- Tomasz Buchert <tomasz@debian.org>  Tue, 31 Mar 2020 00:07:58 +0200
