=== debian/control ===
--- 
+++ 
@@ -20,7 +20,7 @@
                qttools5-dev (>= 5.4),
                qttools5-dev-tools (>= 5.4),
                zlib1g-dev
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/debian-astro-team/stellarium
 Vcs-Git: https://salsa.debian.org/debian-astro-team/stellarium.git
 Homepage: http://www.stellarium.org
