## stellarium 0.20.1

=== debian/changelog ===
stellarium (0.20.1-1) unstable; urgency=medium

  * New upstream version 0.20.1

 -- Tomasz Buchert <tomasz@debian.org>  Sun, 03 May 2020 21:52:59 +0200
