## stellarium 0.20.2

=== debian/changelog ===
stellarium (0.20.2-0.1~mx17+1) mx; urgency=medium

  * New upstream version 0.20.2.
    - Many changes in AstroCalc tool and core of Stellarium.
    - Many changes in scripting engine and Script Console.
    - Many changes in Oculars and Satellites plugins.
    - Updated DSO catalog.

  * Don't need both debhelper and debhelper-compat in build-depends.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 24 Jun 2020 15:03:14 -0700
