=== debian/control ===
--- 
+++ 
@@ -5,7 +5,8 @@
 Section: science
 Priority: optional
 Build-Depends: cmake,
-               debhelper (>= 12),
+# Why? This don't make no sense...builds fine with just debhelper-compat.
+#               debhelper (>= 12~),
                debhelper-compat (= 12),
                doxygen,
                libqt5opengl5-dev (>= 5.4),
