## stellarium 0.20.3

=== debian/changelog ===
stellarium (0.20.3-1~mx19+1) mx; urgency=medium

  * Rebuild for MX Linux.
  * Revert to dh-compat 12.
  * Correct minver Qt needed to 5.9.
  * Update debian/copyright to 2020.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 29 Sep 2020 07:49:26 -0700

stellarium (0.20.3-1) unstable; urgency=medium

  * New upstream version 0.20.3
  * debhelper 13

 -- Tomasz Buchert <tomasz@debian.org>  Sun, 27 Sep 2020 14:50:12 +0200

stellarium (0.20.2-1) unstable; urgency=medium

  * New upstream version 0.20.2

 -- Tomasz Buchert <tomasz@debian.org>  Mon, 13 Jul 2020 12:55:32 +0200
