=== debian/control ===
--- 
+++ 
@@ -5,26 +5,25 @@
 Section: science
 Priority: optional
 Build-Depends: cmake,
-# Why? This don't make no sense...builds fine with just debhelper-compat.
-#               debhelper (>= 12~),
+#               debhelper (>= 13),
                debhelper-compat (= 12),
                doxygen,
-               libqt5opengl5-dev (>= 5.4),
-               libqt5serialport5-dev (>= 5.4),
+               libqt5opengl5-dev (>= 5.9),
+               libqt5serialport5-dev (>= 5.9),
                mesa-common-dev,
-               qtbase5-dev (>= 5.4),
-               qtdeclarative5-dev (>= 5.4),
-               qtdeclarative5-dev-tools (>= 5.4),
-               qtmultimedia5-dev (>= 5.4),
-               qtpositioning5-dev (>= 5.4),
-               qtscript5-dev (>= 5.4),
-               qttools5-dev (>= 5.4),
-               qttools5-dev-tools (>= 5.4),
+               qtbase5-dev (>= 5.9),
+               qtdeclarative5-dev (>= 5.9),
+               qtdeclarative5-dev-tools (>= 5.9),
+               qtmultimedia5-dev (>= 5.9),
+               qtpositioning5-dev (>= 5.9),
+               qtscript5-dev (>= 5.9),
+               qttools5-dev (>= 5.9),
+               qttools5-dev-tools (>= 5.9),
                zlib1g-dev
 Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/debian-astro-team/stellarium
 Vcs-Git: https://salsa.debian.org/debian-astro-team/stellarium.git
-Homepage: http://www.stellarium.org
+Homepage: https://www.stellarium.org
 
 Package: stellarium
 Architecture: any
